<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SendMsg Method (IEdmUserGroup5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserGroup5 Interface : SendMsg Method (IEdmUserGroup5)

Visual Basic
C#
C++/CLI

bsSubject
  Email subject

bsMessageText
  Message detail (see Remarks)

bExcludeCurrentUser
  True to not send email to the logged-in user even if he is a member of this group, false to send email to the logged-in user

Sends email to all members of this user group.

# Syntax

Visual Basic |
--- | ---

    Sub SendMsg( _
       ByVal bsSubject As System.String, _
       ByVal bsMessageText As System.String, _
       ByVal bExcludeCurrentUser As System.Boolean _
    )

C# |
--- | ---

    void SendMsg(
       System.string bsSubject,
       System.string bsMessageText,
       System.bool bExcludeCurrentUser
    )

C++/CLI |
--- | ---

    void SendMsg(
    &   System.String^ bsSubject,
    &   System.String^ bsMessageText,
    &   System.bool bExcludeCurrentUser
    )

#### Parameters

bsSubject
  Email subject
bsMessageText
  Message detail (see Remarks)
bExcludeCurrentUser
  True to not send email to the logged-in user even if he is a member of this group, false to send email to the logged-in user

# Example

Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

It is possible to send HTML-formatted mail, if the recipients use a mail system that supports HTML. In so, add HTML tags to the text in bsMessageText:

> <html><body><h1>Hello!</h1>How are you?</body></html>

Call IEdmUser5::SendMsg to send email to an individual user.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserGroup5 Interface
IEdmUserGroup5 Members

# Availability

SOLIDWORKS PDM Professional version 5.2